## ironic-inspector 11.1.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
automaton>=1.9.0 # Apache-2.0
alembic>=1.4.2 # MIT
construct>=2.9.39 # MIT
eventlet>=0.26.0 # MIT
Flask>=1.1.0 # BSD
futurist>=1.2.0 # Apache-2.0
ironic-lib>=4.3.0 # Apache-2.0
jsonpath-rw>=1.2.0 # Apache-2.0
jsonschema>=3.2.0 # MIT
keystoneauth1>=4.2.0 # Apache-2.0
keystonemiddleware>=4.18.0 # Apache-2.0
netaddr>=0.7.18 # BSD
pbr>=3.1.1 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=5.3.1
openstacksdk>=0.40.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=6.0.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.messaging>=5.32.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.upgradecheck>=1.2.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
tenacity>=6.2.0  # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
tooz>=2.5.1 # Apache-2.0

=== doc/requirements.txt ===
os-api-ref>=1.4.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
openstackdocstheme>=2.2.0 # Apache-2.0

=== debian/changelog ===
ironic-inspector (11.1.0-2) unstable; urgency=medium

  * Add Rename-NodeInfo._lock-to-avoid-conflict-with-Mock._lock-in-tests.patch,
    fixing FTBFS and autopkgtest (Closes: #1026524).

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Jan 2023 14:37:02 +0100

ironic-inspector (11.1.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * New upstream release.
  * Drop Fix_compatibility_with_oslo.db_12.1.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 23:29:38 +0200

ironic-inspector (11.0.0-2) experimental; urgency=medium

  * Add Fix_compatibility_with_oslo.db_12.1.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2022 15:12:28 +0200

ironic-inspector (11.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Sep 2022 22:26:30 +0200

ironic-inspector (10.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 16:01:08 +0200

ironic-inspector (10.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 15:33:40 +0100

ironic-inspector (10.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2022 12:27:26 +0100

=== debian/control ===
Source: ironic-inspector
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-automaton,
 python3-construct,
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-flask,
 python3-futurist,
 python3-hacking,
 python3-ironic-lib,
 python3-jsonpath-rw,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-memcache,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.2.0),
 python3-oslo.utils,
 python3-oslotest,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tenacity,
 python3-testresources,
 python3-tooz,
 python3-tz,
 python3-yaml,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic-inspector
Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic-inspector.git
Homepage: https://github.com/openstack/ironic-inspector

Package: ironic-inspector
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-ironic-inspector (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: discovering hardware properties for OpenStack Ironic - Daemon
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the daemon.

Package: python3-ironic-inspector
Architecture: all
Depends:
 alembic,
 python3-automaton,
 python3-construct,
 python3-eventlet,
 python3-flask,
 python3-futurist,
 python3-ironic-lib,
 python3-jsonpath-rw,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-netaddr,
 python3-openstacksdk,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.2.0),
 python3-oslo.utils,
 python3-pbr,
 python3-retrying,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Replaces:
 python-ironic-inspector,
Conflicts:
 python-ironic-inspector,
Description: discovering hardware properties for OpenStack Ironic - Python 2.7
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 2.7 files.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/ironic-inspector.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_clean:
	dh_clean
	rm -rf build debian/ironic-inspector.postinst debian/ironic-inspector.config debian/ironic-inspector.postrm
	rm -rf debian/*.upstart debian/*.service debian/*.init

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-inspector.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-inspector.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm ironic-inspector.postrm
	pkgos-merge-templates ironic-inspector ironic-inspector db ksat endpoint

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ironic_inspector\.test\.unit\.(?!(test_migrations\.TestMigrationSqlite\.test_upgrade_and_version|test_migrations\.TestMigrationSqlite\.test_walk_versions))'
endif

	mkdir -p $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf \
		--namespace ironic_inspector \
		--namespace ironic_lib.mdns \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.healthcheck \
		--namespace oslo.policy \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf keystone_authtoken ironic-inspector

	mkdir -p $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace ironic_inspector.api

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf oslo_policy policy_dirs /etc/nova/policy.d

	sed -i 's|^[ \t#]*connection[ \t]=.*|connection = sqlite:////var/lib/ironic-inspector/inspectordb|' $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf
	install -D -m 0644 rootwrap.conf $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/rootwrap.conf
	install -D -m 0644 rootwrap.d/ironic-inspector.filters $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/rootwrap.d/ironic-inspector.filters
	install -D -m 0644 $(CURDIR)/debian/ironic-inspector.sudoers $(CURDIR)/debian/ironic-inspector/etc/sudoers.d/ironic-inspector
	sed -i 's|stack|ironic-inspector|' $(CURDIR)/debian/ironic-inspector/etc/sudoers.d/ironic-inspector

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## ironic-inspector 11.1.2

=== debian/changelog ===
ironic-inspector (11.1.2-4~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Fri, 26 Sep 2025 08:05:28 +0000

ironic-inspector (11.1.0-3) UNRELEASED; urgency=medium

  * Run ironic-inspector-api correctly.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Apr 2023 09:54:08 +0200

## ironic-inspector 11.4.0

=== debian/changelog ===
ironic-inspector (11.4.0-2) unstable; urgency=medium

  * Run ironic-inspector-api correctly (separate conductor + api).
  * Fix sudoers.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 12:29:49 +0200

ironic-inspector (11.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Mar 2023 09:07:29 +0100

ironic-inspector (11.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions, satisfied in Bookworm.
  * Removed obsolete Breaks/Conflicts.
  * Removed lsb-base depends.
  * Switch to debhelper-compat = 11.
  * Fixed (build-)depends for this release.
  * Removed patch applied upstream:
    - Rename-NodeInfo._lock-to-avoid-conflict-with-Mock._lock-in-tests.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Mar 2023 09:53:21 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 override_dh_clean:
 	dh_clean
 	rm -rf build debian/ironic-inspector.postinst debian/ironic-inspector.config debian/ironic-inspector.postrm
-	rm -rf debian/*.upstart debian/*.service debian/*.init
+	rm -rf debian/*.service debian/*.init
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-inspector.config
@@ -64,6 +64,10 @@
 	# Use the policy.d folder
 	pkgos-fix-config-default $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf oslo_policy policy_dirs /etc/nova/policy.d
 
+	# Debian uses the "standalone" mode, meaming one ironic-inspector-conductor daemon, and a wsgi server (using uwsgi).
+	# If not set, none of these 2 daemons will start.
+	pkgos-fix-config-default $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf DEFAULT standalone False
+
 	sed -i 's|^[ \t#]*connection[ \t]=.*|connection = sqlite:////var/lib/ironic-inspector/inspectordb|' $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector/inspector.conf
 	install -D -m 0644 rootwrap.conf $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/rootwrap.conf
 	install -D -m 0644 rootwrap.d/ironic-inspector.filters $(CURDIR)/debian/ironic-inspector/etc/ironic-inspector/rootwrap.d/ironic-inspector.filters
@@ -73,5 +77,17 @@
 	dh_install
 	dh_missing --fail-missing
 
+# We use override_dh_installmenu because it's done in the sequence with dh,
+# and we already override dh_installinit in pkgos.make.
+# Obviously, we will never use a Desktop menu in such a package, so that's
+# not a problem.
+override_dh_installmenu:
+	dh_installinit -pironic-inspector --name=ironic-inspector-api
+	dh_installinit -pironic-inspector --name=ironic-inspector-conductor
+
+override_dh_installsystemd:
+	dh_installsystemd -pironic-inspector --name=ironic-inspector-api
+	dh_installsystemd -pironic-inspector --name=ironic-inspector-conductor
+
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

## ironic-inspector 11.4.1

=== debian/changelog ===
ironic-inspector (11.4.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Thu, 02 Oct 2025 08:58:35 +0000

ironic-inspector (11.4.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046222).

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 15:40:25 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .stestr
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_clean:
 	dh_clean

## ironic-inspector 11.6.0

=== debian/changelog ===
ironic-inspector (11.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 09:38:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
-	rm -rf build .stestr
+	rm -rf build .stestr *.egg-info debian/*.templates debian/po
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

## ironic-inspector 11.7.0

=== requirements.txt ===
--- 
+++ 
@@ -24,10 +24,10 @@
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=6.8.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
-oslo.db>=6.0.0 # Apache-2.0
+oslo.db>=12.1.0 # Apache-2.0
 oslo.i18n>=3.20.0 # Apache-2.0
 oslo.log>=4.3.0 # Apache-2.0
-oslo.messaging>=5.32.0 # Apache-2.0
+oslo.messaging>=14.1.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.policy>=3.7.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
@@ -37,5 +37,5 @@
 oslo.utils>=4.5.0 # Apache-2.0
 tenacity>=6.2.0  # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
-SQLAlchemy>=1.2.19 # MIT
+SQLAlchemy>=1.4.0 # MIT
 tooz>=2.5.1 # Apache-2.0

=== debian/changelog ===
ironic-inspector (1:11.7.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 18:50:01 +0000

ironic-inspector (1:11.7.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 08:58:15 -0400

ironic-inspector (1:11.6.0+git2023090714.4a6bdaaf-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:21:44 -0400

ironic-inspector (1:11.5.0+git2023061415.62e42d38-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:03:31 -0400

ironic-inspector (1:11.4.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:39:28 -0400

ironic-inspector (1:11.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 14:58:26 -0400

ironic-inspector (1:11.0.0+git2022091213.493cee3-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:12:23 -0400

ironic-inspector (1:10.12.0+git2022071816.9a1123d-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 16:06:57 -0400

ironic-inspector (1:10.12.0+git2022060210.0e54080-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 10:48:17 -0400

## ironic-inspector 11.7.1

=== debian/changelog ===
ironic-inspector (11.7.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 14:19:16 +0000

ironic-inspector (11.7.0-4) unstable; urgency=medium

  * Blacklist TestManagerDelHost.test_del_host_with_coordinator
    (Closes: #1058536).

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Dec 2023 07:30:59 +0100

ironic-inspector (11.7.0-3) unstable; urgency=medium

  * Add sqla2.0-Fix_items_lost_in_migration.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Nov 2023 08:58:20 +0100

ironic-inspector (11.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:38:51 +0200

ironic-inspector (11.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2023 17:25:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  po-debconf,
@@ -39,13 +39,13 @@
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.7.0),
+ python3-oslo.policy,
  python3-oslo.rootwrap,
  python3-oslo.serialization,
  python3-oslo.service,
- python3-oslo.upgradecheck (>= 1.2.0),
+ python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-oslotest,
  python3-sphinxcontrib.apidoc,
@@ -72,7 +72,6 @@
  python3-openstackclient,
  q-text-as-data,
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Description: discovering hardware properties for OpenStack Ironic - Daemon
  This is an auxiliary service for discovering hardware properties for a node
@@ -109,13 +108,13 @@
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.7.0),
+ python3-oslo.policy,
  python3-oslo.rootwrap,
  python3-oslo.serialization,
  python3-oslo.service,
- python3-oslo.upgradecheck (>= 1.2.0),
+ python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-pbr,
  python3-retrying,
@@ -127,10 +126,6 @@
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
-Replaces:
- python-ironic-inspector,
-Conflicts:
- python-ironic-inspector,
 Description: discovering hardware properties for OpenStack Ironic - Python 2.7
  This is an auxiliary service for discovering hardware properties for a node
  managed by OpenStack Ironic. Hardware introspection or hardware properties

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	done
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'ironic_inspector\.test\.unit\.(?!(test_migrations\.TestMigrationSqlite\.test_upgrade_and_version|test_migrations\.TestMigrationSqlite\.test_walk_versions))'
+	pkgos-dh_auto_test --no-py2 'ironic_inspector\.test\.unit\.(?!(test_migrations\.TestMigrationSqlite\.test_upgrade_and_version|test_migrations\.TestMigrationSqlite\.test_walk_versions|test_manager\.TestManagerDelHost\.test_del_host_with_coordinator))'
 endif
 
 	mkdir -p $(CURDIR)/debian/ironic-inspector/usr/share/ironic-inspector

## ironic-inspector 12.1.0

=== requirements.txt ===
--- 
+++ 
@@ -18,7 +18,6 @@
 keystonemiddleware>=4.18.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
 pbr>=3.1.1 # Apache-2.0
-pytz>=2013.6 # MIT
 PyYAML>=5.3.1
 openstacksdk>=0.40.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0

=== debian/changelog ===
ironic-inspector (1:12.1.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.
  * d/rules: Skip single failing test.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 16:21:48 +0100

ironic-inspector (1:11.8.0+git2024011916.bebf29d4-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/p/assert-called-once-with.patch: Correct assert_called_once_with
    usage.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jan 2024 16:26:09 +0000

=== debian/control ===
Source: ironic-inspector
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 po-debconf,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-construct (>= 2.9.39),
 python3-coverage (>= 4.0),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.26.0),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 1.1.0),
 python3-futurist (>= 1.2.0),
 python3-ironic-lib (>= 4.3.0),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpath-rw (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-mock (>= 3.0.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 0.40.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 12.1.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.2.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pymemcache (>= 1.2.9),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-tz (>= 2013.6),
 python3-tooz (>= 2.5.1),
 python3-yaml (>= 5.3.1),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic-inspector
Homepage: https://opendev.org/openstack/ironic-inspector
Testsuite: autopkgtest-pkg-python

Package: ironic-inspector
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-ironic-inspector (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: discovering hardware properties for OpenStack Ironic - Daemon
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the daemon.

Package: python3-ironic-inspector
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-construct (>= 2.9.39),
 python3-eventlet (>= 0.26.0),
 python3-flask (>= 1.1.0),
 python3-futurist (>= 1.2.0),
 python3-ironic-lib (>= 4.3.0),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpath-rw (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackclient,
 python3-openstacksdk (>= 0.40.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 12.1.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.2.0),
 python3-oslo.utils (>= 4.5.0),
 python3-pbr (>= 3.1.1),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.2.0),
 python3-tooz (>= 2.5.1),
 python3-tz (>= 2013.6),
 python3-yaml (>= 5.3.1),
 ${misc:Depends},
 ${python3:Depends},
Description: discovering hardware properties for OpenStack Ironic - Python 3
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3 files.

## ironic-inspector 12.1.1

=== debian/changelog ===
ironic-inspector (12.1.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 10:47:06 +0000

ironic-inspector (12.1.0-2) unstable; urgency=medium

  * Uploading to unstable, fixing FTBFS (Closes: #1064814).

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Mar 2024 11:30:30 +0100

ironic-inspector (12.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-tz from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Mar 2024 14:12:19 +0100

ironic-inspector (12.0.0-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Drop sqla2.0-Fix_items_lost_in_migration.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2024 09:06:41 +0100

=== debian/control ===
Source: ironic-inspector
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-automaton,
 python3-construct,
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-flask,
 python3-futurist,
 python3-hacking,
 python3-ironic-lib,
 python3-jsonpath-rw,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-memcache,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tenacity,
 python3-testresources,
 python3-tooz,
 python3-yaml,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic-inspector
Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic-inspector.git
Homepage: https://github.com/openstack/ironic-inspector

Package: ironic-inspector
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-ironic-inspector (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: discovering hardware properties for OpenStack Ironic - Daemon
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the daemon.

Package: python3-ironic-inspector
Architecture: all
Depends:
 alembic,
 python3-automaton,
 python3-construct,
 python3-eventlet,
 python3-flask,
 python3-futurist,
 python3-ironic-lib,
 python3-jsonpath-rw,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-netaddr,
 python3-openstacksdk,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-pbr,
 python3-retrying,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity,
 python3-tooz,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: discovering hardware properties for OpenStack Ironic - Python 2.7
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 2.7 files.

## ironic-inspector 12.3.0

=== requirements.txt ===
--- 
+++ 
@@ -2,9 +2,6 @@
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
 
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
 automaton>=1.9.0 # Apache-2.0
 alembic>=1.4.2 # MIT
 construct>=2.9.39 # MIT
@@ -38,3 +35,4 @@
 stevedore>=1.20.0 # Apache-2.0
 SQLAlchemy>=1.4.0 # MIT
 tooz>=2.5.1 # Apache-2.0
+microversion_parse>=1.0.1 # Apache-2.0

=== debian/changelog ===
ironic-inspector (12.3.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090421).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:44:39 +0100

ironic-inspector (12.3.0-2) unstable; urgency=medium

  * Fix long and short description (Closes: #1082058).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 12:23:39 +0200

ironic-inspector (12.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 09:12:15 +0200

ironic-inspector (12.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:07:27 +0200

ironic-inspector (12.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-microversion-parse to (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Sep 2024 17:07:23 +0200

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
  python3-keystoneauth1,
  python3-keystonemiddleware,
  python3-memcache,
+ python3-microversion-parse,
  python3-netaddr,
  python3-openstackdocstheme,
  python3-openstacksdk,
@@ -99,6 +100,7 @@
  python3-jsonschema,
  python3-keystoneauth1,
  python3-keystonemiddleware,
+ python3-microversion-parse,
  python3-netaddr,
  python3-openstacksdk,
  python3-oslo.concurrency,
@@ -124,7 +126,7 @@
  python3-yaml,
  ${misc:Depends},
  ${python3:Depends},
-Description: discovering hardware properties for OpenStack Ironic - Python 2.7
+Description: discovering hardware properties for OpenStack Ironic
  This is an auxiliary service for discovering hardware properties for a node
  managed by OpenStack Ironic. Hardware introspection or hardware properties
  discovery is a process of getting hardware parameters required for scheduling
@@ -134,5 +136,3 @@
  A special discovery ramdisk is required to collect the information on a node.
  The default one can be built using diskimage-builder and
  ironic-inspector-ramdisk element.
- .
- This package contains the Python 2.7 files.

## ironic-inspector 12.4.0

=== requirements.txt ===
--- 
+++ 
@@ -5,10 +5,9 @@
 automaton>=1.9.0 # Apache-2.0
 alembic>=1.4.2 # MIT
 construct>=2.9.39 # MIT
-eventlet>=0.26.0 # MIT
+eventlet>=0.27.0 # MIT
 Flask>=1.1.0 # BSD
 futurist>=1.2.0 # Apache-2.0
-ironic-lib>=4.3.0 # Apache-2.0
 jsonpath-rw>=1.2.0 # Apache-2.0
 jsonschema>=3.2.0 # MIT
 keystoneauth1>=4.2.0 # Apache-2.0
@@ -25,7 +24,7 @@
 oslo.log>=4.3.0 # Apache-2.0
 oslo.messaging>=14.1.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
-oslo.policy>=3.7.0 # Apache-2.0
+oslo.policy>=4.5.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
 oslo.serialization>=2.25.0 # Apache-2.0
 oslo.service>=1.31.0 # Apache-2.0
@@ -36,3 +35,5 @@
 SQLAlchemy>=1.4.0 # MIT
 tooz>=2.5.1 # Apache-2.0
 microversion_parse>=1.0.1 # Apache-2.0
+zeroconf>=0.24.0 # LGPL
+bcrypt>=3.1.3 # Apache-2.0

=== doc/requirements.txt ===
os-api-ref>=1.4.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
openstackdocstheme>=2.2.0 # Apache-2.0

=== debian/changelog ===
ironic-inspector (1:12.4.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 18 Mar 2025 14:14:46 +0100

ironic-inspector (1:12.3.0+git2025030311.1754bc9-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 04 Mar 2025 17:53:07 +0000

ironic-inspector (1:12.3.0+git2025011511.ecf5495-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/patches: Remove patch no longer applicable
  * d/control: Remove outdated dependencies

  [ James Page ]
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 21 Jan 2025 10:05:28 +0000

ironic-inspector (1:12.3.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 12:50:31 +0100

ironic-inspector (1:12.2.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 14:59:41 +0100

=== debian/control ===
Source: ironic-inspector
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 po-debconf,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-bcrypt (>= 3.1.3),
 python3-construct (>= 2.9.39),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.27.0),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 1.1.0),
 python3-futurist (>= 1.2.0),
 python3-ironic-lib (>= 4.3.0),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpath-rw (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-microversion-parse (>= 1.0.1),
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 0.40.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 12.1.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.2.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pymemcache (>= 1.2.9),
 python3-retrying (>= 1.2.3),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-tooz (>= 2.5.1),
 python3-yaml (>= 5.3.1),
 python3-zeroconf (>= 0.24.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic-inspector
Homepage: https://opendev.org/openstack/ironic-inspector
Testsuite: autopkgtest-pkg-python

Package: ironic-inspector
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-ironic-inspector (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: discovering hardware properties for OpenStack Ironic - Daemon
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the daemon.

Package: python3-ironic-inspector
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 1.4.2),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-construct (>= 2.9.39),
 python3-eventlet (>= 0.27.0),
 python3-flask (>= 1.1.0),
 python3-futurist (>= 1.2.0),
 python3-ironic-lib (>= 4.3.0),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpath-rw (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 4.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-netaddr (>= 0.7.18),
 python3-openstackclient,
 python3-openstacksdk (>= 0.40.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 12.1.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.2.0),
 python3-oslo.utils (>= 4.5.0),
 python3-pbr (>= 3.1.1),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tenacity (>= 6.2.0),
 python3-tooz (>= 2.5.1),
 python3-tz (>= 2013.6),
 python3-yaml (>= 5.3.1),
 ${misc:Depends},
 ${python3:Depends},
Description: discovering hardware properties for OpenStack Ironic - Python 3
 This is an auxiliary service for discovering hardware properties for a node
 managed by OpenStack Ironic. Hardware introspection or hardware properties
 discovery is a process of getting hardware parameters required for scheduling
 from a bare metal node, given it's power management credentials (e.g. IPMI
 address, user name and password).
 .
 A special discovery ramdisk is required to collect the information on a node.
 The default one can be built using diskimage-builder and
 ironic-inspector-ramdisk element.
 .
 This package contains the Python 3 files.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/ironic-inspector/ ironic_inspector-(12\.\d.*)\.tar\.gz

## ironic-inspector 12.4.0+git2025070714.9698c01

=== debian/changelog ===
ironic-inspector (1:12.4.0+git2025070714.9698c01-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/p/fix-path-to-rootwrap.patch: Refresh.
  * d/p/install-missing-files.patch: Refresh.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 21 Jul 2025 14:17:16 -0700
